Page MenuHomeYugipedia

Upstream issues tracking
Open, NormalPublic

Description

This task is to track Yugipedia-related issues filed upstream with MediaWiki or other projects. Note that technically, any number of upstream issues could be considered "Yugipedia-related"; the tasks tracked here are ones that have been specifically filed by a Yugipedia editor or on our behalf, or else are tasks that we are specifically interested in for whatever reason.

IconMeaning
closed invalid
closed wontfix
closed resolved
open

Wikimedia Phabricator (MediaWiki and various extensions/etc.)
T196427 Variable names themselves ($wgAllowUserCss and $wgAllowUserJs) should not be case-sensitive
T196482 Ext:MediaWikiAuth disables the "Real name", "New signature", and "Email" input boxes in user preferences
T197205 PNG image detected as application/zip
T197489 Allow filtering categories by namespace
T200334 [ReplaceText] Unchecking the "Announce these edits" textbox should mark edits as bot
T206685 #tag:gallery behaves inconsistently when using ParserFunctions to pass in options
T211407 Extension:LinkSuggest makes it difficult to type opening parentheses "(" in links
T213663 Actor table migration interfering with page deletion
T213788 Undoing an edit by an interwiki username results in broken user/talk/contribs links in edit summary
T216542 Upload summaries containing a "Summary" header also get the auto-added "Summary" header
T223342 Create backlog extension for fixing rev_parent_id and ar_parent_id
T228815 Investigate database/job queue impact of account imports
T230669 If an imported edit matches a local edit, and the edit author is not a local account, the local edit should be marked as imported
T231618 Accounts with no imported edits/actions and no usergroups should be able to skip import
T231628 Better handling of renamed users

Github (Semantic Mediawiki)
#3523 Using the "further results" link when the query contains headers=plain with a piped link in a header breaks the output
#3524 [[Property::Value 1||!Value 2]] causes database error
(ongoing discussion) #4344 Property "is locked to prevent accidental data modification while a change propagation update is run" even though no change propagation is pending

Gitlab (EmbedVideo)
#94 Service whitelist/blacklist
#4766 PHP Notice: Undefined index: id_regex in /extensions/EmbedVideo/classes/VideoService.php on line 681

Gitlab (ImageSizeInfoFunctions)
#2 Should these functions be marked expensive?

Event Timeline

Dinoguy1000 updated the task description. (Show Details)
Dinoguy1000 updated the task description. (Show Details)Oct 15 2018, 6:29 PM
Dinoguy1000 updated the task description. (Show Details)Oct 16 2018, 6:07 AM
Dinoguy1000 updated the task description. (Show Details)
Dinoguy1000 updated the task description. (Show Details)Dec 7 2018, 3:43 AM
Dinoguy1000 updated the task description. (Show Details)Dec 23 2018, 11:32 PM
Dinoguy1000 updated the task description. (Show Details)Jan 13 2019, 2:21 PM
Dinoguy1000 updated the task description. (Show Details)Jan 15 2019, 1:12 AM
Dinoguy1000 updated the task description. (Show Details)Jan 20 2019, 1:42 PM
Dinoguy1000 updated the task description. (Show Details)Feb 19 2019, 2:18 PM
Dinoguy1000 updated the task description. (Show Details)Apr 13 2019, 7:34 AM
Dinoguy1000 updated the task description. (Show Details)Jul 15 2019, 7:56 PM
Dinoguy1000 updated the task description. (Show Details)Jul 23 2019, 7:37 PM
Dinoguy1000 updated the task description. (Show Details)Aug 14 2019, 2:41 PM
Dinoguy1000 updated the task description. (Show Details)Aug 17 2019, 8:28 PM
Dinoguy1000 updated the task description. (Show Details)Aug 29 2019, 7:17 PM
Dinoguy1000 updated the task description. (Show Details)Aug 30 2019, 2:42 AM
Dinoguy1000 updated the task description. (Show Details)Sat, Oct 19, 6:32 PM
Dinoguy1000 updated the task description. (Show Details)Sun, Oct 27, 9:58 AM
Dinoguy1000 updated the task description. (Show Details)Sun, Oct 27, 6:31 PM
Dinoguy1000 updated the task description. (Show Details)Mon, Oct 28, 6:19 AM
Dinoguy1000 updated the task description. (Show Details)Tue, Oct 29, 8:05 AM